Upstream information

CVE-2005-0665 at MITRE

Description

Format string vulnerability in xv before 3.10a allows remote attackers to execute arbitrary code via format string specifiers in a filename.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.1
Vector AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity High
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 70844, 74687 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SLES SDK 9 for IBM S/390 and IBM zSeries
SLES SDK 9 for IBM iSeries and IBM pSeries
SLES SDK 9 for IBM zSeries
SLES SDK 9 for IPF
SLES SDK 9 for X86-64
SLES SDK 9 for x86
  • xv >= 3.10a-1053.12
core9.ia64
core9.x86-64
core9.s390
core9.s390x
core9.x86
core9.ppc
YOU Patch Nr: 10027
SuSE Linux 8.2 for IA32
SuSE Linux 9.0 for AMD64
SuSE Linux 9.0 for IA32
  • xv >= 3.10a-1076
SUSE LINUX 9.1 for IA32
SUSE LINUX 9.1 for x86-64
  • xv >= 3.10a-1053.12
SUSE LINUX 9.2
  • xv >= 3.10a-1062.4
SUSE LINUX 9.3
  • xv >= 3.10a-1069.2